#ifndef MSP_GLTK_IMAGE_H_
#define MSP_GLTK_IMAGE_H_

#include <msp/gl/texture2d.h>
#include "widget.h"

namespace Msp {
namespace GLtk {

/**
A widget for displaying images.
*/
class Image: public Widget
{
private:
	const GL::Texture2D *image;
	bool keep_aspect;

public:
	Image(const GL::Texture2D * = 0);

	virtual const char *get_class() const { return "image"; }

private:
	virtual void autosize_special(const Part &, Geometry &);

public:
	void set_image(const GL::Texture2D *);
	void set_keep_aspect(bool);

private:
	virtual void rebuild_special(const Part &);
};

} // namespace GLtk
} // namespace Msp

#endif
